Skip to main content
GET
/
gh
/
{ownerKeyOrId}
/
projects
/
{keyOrId}
Get a project
curl --request GET \
  --url https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{keyOrId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "85fae897-5a48-483b-ad29-1852c0db1707",
  "workspaceId": "1c47b6fd-db56-4fbd-9cf0-4d88f9631050",
  "providerUrl": "https://github.com/acmeco/awesome-project",
  "key": "awesome-project",
  "workspaceKey": "acmeco"
}

Documentation Index

Fetch the complete documentation index at: https://docs.qlty.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate an API token at https://qlty.sh/user/settings/tokens

Path Parameters

ownerKeyOrId
string
required

The key or ID of the Workspace that owns the Project

keyOrId
string
required

The key or ID of the Project to retrieve

Response

Successful response

id
string
required

The UUID of the Project

workspaceId
string
required

The UUID of the Workspace this Project belongs to

providerUrl
string
required

URL to the Project on the provider platform (e.g., GitHub repository URL)

key
string
required

The unique key identifier for the Project

workspaceKey
string
required

The key of the Workspace this Project belongs to